Bug 543046 - Using scroll bar in emacs highlights/selects text
Summary: Using scroll bar in emacs highlights/selects text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-01 15:39 UTC by Roderick Johnstone
Modified: 2010-04-20 13:09 UTC (History)
3 users (show)

Fixed In Version: emacs-23.1-13.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-05 00:03:20 UTC


Attachments (Terms of Use)
a patch (2.74 KB, patch)
2009-12-02 16:42 UTC, Daniel Novotny
no flags Details | Diff

Description Roderick Johnstone 2009-12-01 15:39:06 UTC
Description of problem:
Text is selected when scrolling with the scroll bar in emacs.

Version-Release number of selected component (if applicable):
emacs-23.1-10.fc12.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. run emacs on a text file
2. scroll down using scroll bar on left
3. 
  
Actual results:
When letting go of scroll bar text is highlighted down to current position. Mark set is reported in the messages buffer.

Expected results:
Nothing is highlighted and no mark is set.

Additional info:
Happens under kde and gnome

Comment 1 Roderick Johnstone 2009-12-02 12:10:02 UTC
Apparently this is a known emacs bug, fixed in cvs.

See: http://emacsbugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=4870

From that report, you can set set GDK_NATIVE_WINDOWS to 1 as a workaround.

Comment 2 Daniel Novotny 2009-12-02 16:42:14 UTC
Created attachment 375482 [details]
a patch

hello Roderick, thanks for pointing out the upstream bug report. The fix can be backported from the CVS version.

Comment 3 Fedora Update System 2009-12-02 17:20:35 UTC
emacs-23.1-13.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-23.1-13.fc12

Comment 4 Roderick Johnstone 2009-12-02 17:35:02 UTC
Many thanks

Comment 5 Fedora Update System 2009-12-05 00:03:10 UTC
emacs-23.1-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-12-05 00:03:40 UTC
emacs-23.1-13.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-03-30 23:17:46 UTC
emacs-23.1-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-23.1-11.fc11

Comment 8 Fedora Update System 2010-04-01 16:10:11 UTC
emacs-23.1-13.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-23.1-13.fc11

Comment 9 Fedora Update System 2010-04-20 13:08:55 UTC
emacs-23.1-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.